Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class JavaCodeQualityPluginConvention

    java.lang.Object
      org.gradle.api.plugins.quality.JavaCodeQualityPluginConvention

    class JavaCodeQualityPluginConvention
    extends java.lang.Object

Property Summary
`java.lang.String` | `checkstyleConfigFileName` The name of the Checkstyle configuration file, relative to the project directory.
`java.util.Map` | `checkstyleProperties` The set of properties to substitute into the Checkstyle configuration file.
`java.lang.String` | `checkstyleResultsDirName` The name of the directory to write Checkstyle results to, relative to the build directory.

Constructor Summary
`JavaCodeQualityPluginConvention(Project project)`

Method Summary
`java.io.File` | `getCheckstyleConfigFile()` The Checkstyle configuration file.
`java.io.File` | `getCheckstyleResultsDir()` The directory to write the Checkstyle results into.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### checkstyleConfigFileName

    java.lang.String checkstyleConfigFileName

  The name of the Checkstyle configuration file, relative to the project directory.

### checkstyleProperties

    java.util.Map checkstyleProperties

  The set of properties to substitute into the Checkstyle configuration file.

### checkstyleResultsDirName

    java.lang.String checkstyleResultsDirName

  The name of the directory to write Checkstyle results to, relative to the build directory.

Constructor Detail

### JavaCodeQualityPluginConvention

    JavaCodeQualityPluginConvention(Project project)

Method Detail

### getCheckstyleConfigFile

    java.io.File getCheckstyleConfigFile()

  The Checkstyle configuration file.

### getCheckstyleResultsDir

    java.io.File getCheckstyleResultsDir()

  The directory to write the Checkstyle results into.

Groovy Documentation